> For the complete documentation index, see [llms.txt](https://docs.developers.upland.me/upland-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.upland.me/upland-developers/api-definitions/upland-appchain.md).

# Upland Appchain

Context: [Medium article](https://uplandme.medium.com/stronger-together-building-the-foundation-of-uplands-future-community-governance-00fc978a73b5)

Block explorer: [https://ledger.upland.me/](https://ledger.upland.me/network)

History API is used for indexing, storing and retrieving Antelope blockchain's historical data. There are 2 API's available: V1 and V2. Read API documentation [here](https://hyperion.docs.eosrio.io/api/v2/)

1. &#x20;History Api V1 endpoint: [`https://chain-history.upland.me/v1`](https://chain-history.upland.me/v1)&#x20;
2. History Api V2 endpoint: [`https://chain-history.upland.me/v2`](https://chain-history.upland.me/v2)&#x20;

Antelope RPC URL: [`https://chain-api.upland.me`](https://chain-api.upland.me/)<br>

Upland on EOS has been stopped at the block number 433146270, at 2025-04-28T08:55:14.500 UTC,\
block ID: 19d1499e8d4eec7c909b774be5eb8fa923b1834e5bf3a1701b4b3a31c1e2716c

The new Upland blockchain has been started at 2025-04-26T17:30:00.000\
Chain ID: 8982d76ae37e82825c90a10fde98e2f8155c4ad99477a5bb051975916475f4a9

Blockchain node software: Antelope Leap 5.0.3

```
Genesis JSON:

{
  "initial_timestamp": "2025-04-26T17:30:00.000",
  "initial_key": "EOS7K5AzorTXEu3NCk7y7AvAHuJYDcwUTuYiddfF43cbYCY1AVmbb",
  "initial_configuration": {
    "max_block_net_usage": 1048576,
    "target_block_net_usage_pct": 1000,
    "max_transaction_net_usage": 524288,
    "base_per_transaction_net_usage": 12,
    "net_usage_leeway": 500,
    "context_free_discount_net_usage_num": 20,
    "context_free_discount_net_usage_den": 100,
    "max_block_cpu_usage": 100000,
    "target_block_cpu_usage_pct": 500,
    "max_transaction_cpu_usage": 90000,
    "min_transaction_cpu_usage": 100,
    "max_transaction_lifetime": 3600,
    "deferred_trx_expiration_window": 600,
    "max_transaction_delay": 3888000,
    "max_inline_action_size": 4096,
    "max_inline_action_depth": 4,
    "max_authority_depth": 6
  }
}



P2P endpoint:
chain-p2p.upland.me:15001
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developers.upland.me/upland-developers/api-definitions/upland-appchain.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
